name: 17Licoes
options:
  bundleIdPrefix: com.neog
  deploymentTarget:
    iOS: "17.0"
    macOS: "14.0"
  xcodeVersion: "16.0"

settings:
  base:
    SWIFT_VERSION: "5.9"
    MARKETING_VERSION: "1.0.0"
    CURRENT_PROJECT_VERSION: "1"
    ALWAYS_SEARCH_USER_PATHS: NO
    GENERATE_INFOPLIST_FILE: YES

targets:
  17Licoes-iOS:
    type: application
    platform: iOS
    deploymentTarget: "17.0"
    sources:
      - path: Shared
      - path: iOS
      - path: Resources/Assets.xcassets
    settings:
      base:
        PRODUCT_BUNDLE_IDENTIFIER: com.neog.17Licoes
        PRODUCT_MODULE_NAME: _7Licoes
        PRODUCT_NAME: "17 Licoes"
        DEVELOPMENT_TEAM: N3W33U35PP
        CODE_SIGN_STYLE: Automatic
        GENERATE_INFOPLIST_FILE: YES
        INFOPLIST_KEY_UIApplicationSceneManifest_Generation: YES
        INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents: YES
        INFOPLIST_KEY_UILaunchScreen_Generation: YES
        INFOPLIST_KEY_CFBundleDisplayName: "17 Licoes"
        CODE_SIGN_ENTITLEMENTS: iOS/17Licoes.entitlements
        ASSETCATALOG_COMPILER_APPICON_NAME: AppIcon
        TARGETED_DEVICE_FAMILY: "1,2"
        SWIFT_VERSION: "5.9"
        SDKROOT: iphoneos
        SUPPORTED_PLATFORMS: "iphoneos iphonesimulator"

  17Licoes-macOS:
    type: application
    platform: macOS
    deploymentTarget: "14.0"
    sources:
      - path: Shared
      - path: macOS
      - path: Resources/Assets.xcassets
    settings:
      base:
        PRODUCT_BUNDLE_IDENTIFIER: com.neog.17Licoes
        PRODUCT_MODULE_NAME: _7Licoes
        PRODUCT_NAME: "17 Licoes"
        DEVELOPMENT_TEAM: N3W33U35PP
        CODE_SIGN_STYLE: Automatic
        GENERATE_INFOPLIST_FILE: YES
        INFOPLIST_KEY_NSHumanReadableCopyright: "Copyright 2025 NEOG"
        INFOPLIST_KEY_CFBundleDisplayName: "17 Licoes"
        CODE_SIGN_ENTITLEMENTS: macOS/17Licoes.entitlements
        ASSETCATALOG_COMPILER_APPICON_NAME: AppIcon
        ENABLE_HARDENED_RUNTIME: YES
        SWIFT_VERSION: "5.9"
        SDKROOT: macosx
        SUPPORTED_PLATFORMS: macosx
